Unpin message
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/pin \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/pin"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "2",
"conversationId": "superhero1_user_superhero2",
"sender": "superhero1",
"receiverType": "user",
"receiver": "superhero2",
"category": "message",
"type": "text",
"data": {
"text": "Hi,"
},
"sentAt": 1700210266,
"updatedAt": 1700210266
}
}{
"error": {
"code": "ERR_MESSAGE_ID_NOT_FOUND",
"message": "Message with the provided info doesn't exist."
}
}Messages
Unpin message
Unpin a pinned CometChat message with REST API. Any user with unpin permission can unpin, not only the user who pinned it.
DELETE
/
messages
/
{id}
/
pin
Unpin message
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user to unpin the message as. Leave it out to unpin as the app itself.
Path Parameters
Id of the message to unpin.
Response
Unpinning a message. pinnedBy and pinnedAt are left out of the response once the message is no longer pinned.
Show child attributes
Show child attributes
Was this page helpful?